* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

*, html {
    --primary: linear-gradient(180deg, #ffffff 20.19%, #e8e8e8 100%);
    --secondary: linear-gradient(180deg, #f58220 0%, #e47d25 100%);
    --textColor: #030707;
    --sub: #ffffff;
    --subColor: rgb(245 130 32);
    --whatsapp: linear-gradient(180deg, #25d366 0%, #6ea542 100%);
    text-decoration: unset;
}

body {
    font-size: 100%;
    font-family: 'Sukar', sans-serif;
    font-weight: 400;
    color: var(--textColor);
}

.container {
    font-size: 100%;
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.row {
    width: 100%;
}

img {
    width: 100%;
}

.profile-card {
    width: 20%;
    min-width: 350px;
    height: 100%;
    background: var(--primary);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 60px 25px;
    margin: 0 auto;
    border-radius: 15px;
    box-shadow: 0 0 15px rgba(0,0,0,.25);
    position: relative;
    overflow: hidden;
    transition: all .5s ease-in-out;
}

/* 
PROFILE IMAGE
===============*/
.content__image {
    position: relative;
    z-index: 5;
    
}

.content__image > img {
    border: 5px solid var(--primary);
    border-radius: 50%;
    box-shadow: 0 0 15px rgba(0,0,0,.5);
    overflow: hidden;
    width: 180px;
}

.content__image-check {
    position: absolute;
    top: 90%;
    right: 25px;
    transform: translateY(-50%);
    z-index: 5;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.content__image-check img {
    width: 20px;
    z-index: 2;
    
}

.content__image-check::after {
    position: absolute;
    content: '';
    width: 30px;
    height: 30px;
    background: var(--sub);
    top: 0;
    right: 0;
    z-index: -1;
    border-radius: 50px;
}

/* 
DETAILS
===============*/

.content__details {
    text-align: center;
    margin-top: 30px;
    z-index: 5 !important;
}

.content__details-name {
    color: #030707;
    font-size: 2.2rem;
    text-align: center;
    line-height: 2rem;
    font-weight: 700;
}

.content__details-username {
    color: #030707;
    display: block;
    text-align: center;
    font-size: 1rem;  
    margin-top: 10px;
}

.content__details-description {
    color: #030707;
    margin-top: 30px;
}

/* 
LINKS
===============*/
.content__details-links,
.social-media {
    display: flex;
    flex-direction: row;
    align-items: center;
}

/* 
LINKS SOCIAL MEDIA
===============*/

.content__details-links {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
}

.social-media img {
    width: 20px;
    filter: invert(1);
}

.social-media li {
    list-style-type: none;
    margin: 10px;
}

.social-media li:nth-child(2) img {
    width: 10px;
}

/* 
BUTTONS
===============*/

.primary-button {
    background: var(--whatsapp);
    border: none;
    padding: 10px 20px;
    font-family: 'Sukar', sans-serif;
    font-size: 1rem;
    color: #fff;
    border-radius: 50px;
    box-shadow: 0 0 5px rgba(0,0,0,.2);
    margin: 20px;
    cursor: pointer;
    display: inline-block;
    transition: all .5s ease-in-out;
    text-decoration: unset;
}

.primary-button:hover{
    background: var(--primary);
    color: var(--textColor);
}
/* 
PROFILE CARD CIRCLES
===============*/
.profile-card::after {
    width: 100%;
    height: 100%;
    position: absolute;
    
    background-color: var(--subColor);
    content: '';

    /* MAGIC HAPPENS */
    clip-path: circle(20%);
    top: -50%;
    right: -45%;
    z-index: 1;
    transition: all .5s ease-in-out;
}

.profile-card::before {
    width: 100%;
    height: 100%;
    position: absolute;
    background-color: var(--subColor);
    content: '';

    /* MAGIC HAPPENS */
    clip-path: circle(32%);
    bottom: -50%;
    left: -45%;
    z-index: 0;
    transition: all .5s ease-in-out;
}

/* 
PROFILE CARD CIRCLES
===============*/
/* REAL MAGIC HAPPENS */

.profile-card:hover::after{
    clip-path: circle(100%);
    top: 0;
    left: 0;
    opacity: 1;
    background-color: var(--primary);
}

.profile-card:hover::before {
    background-color: var(--primary);
    opacity: 1;
}

.profile-card:hover {
    transform: translateY(-10px);
}

.icons{
    margin-top: 60px;
    filter: brightness(0.5);
}

.profile-card:hover .icons{
    filter: unset;
}

.whatsapp-icon{
    width: 20px;
    margin: 0px 0px -4px 10px;
    filter: brightness(0.5);
}

.primary-button:hover .whatsapp-icon{
    filter: unset;
}